Subject: bug#6397: 24.0.50; `make-directory' return value

From: "Drew Adams" <[email-masked]>
Date: Thu, 10 Jun 2010 13:49:23 -0700

The doc for `make-directory' doesn't mention its return value, and the
code doesn't seem to do anything special about it.
 
I think it should return non-nil (e.g. the directory name) if the
creation succeeds and nil if it fails without error.  And that should be
documented.  Or if it always raises an error when it does not create a
directory, that's OK too, but that should then be documented.
 
Yes, you can always determine whether it succeeded by checking
`file-accessible-directory-p' or `file-exists-p' afterward (and
beforehand, and comparing), but reasonable creation functions let you
know whether they succeed.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-06-07 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'